<div class="clipboard__page container-fluid">
  <div class="background-white">
    <div class="clipboard__manager">
      <span class="clipboard__manager-drag material-icons-outlined">drag_handle</span>
      <div class="clipboard__manager-content">
        <div class="clipboard__manager-edit">
          <div class="dropdown">
            <input disabled class="clipboard__manager-edit-input" type="button" value="<%=dictionary.clipboard_manage.edit%>" id="dropdownMenuButton" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <!-- onclick="updateManually()" -->
              <a class="dropdown-item" href="javascript:void(0)" data-name='manual'><span class="dropdown-icon material-icons-outlined">edit</span><%=dictionary.clipboard_manage.manually%></a>
              <a class="dropdown-item" href="javascript:void(0)" data-name='facebook'><i class="dropdown-icon fab fa-facebook-square facebook"></i><%=dictionary.clipboard_manage.fb%></a>
              <a class="dropdown-item" href="javascript:void(0)" data-name='linkedin'><i class="dropdown-icon fab fa-linkedin linkedin"></i><%=dictionary.clipboard_manage.linkedin%></a>
              <!-- onclick="showCustomModal('download')" -->
              <!-- <a class="dropdown-item" href="javascript:void(0)" data-name='download'><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.gov%></a> -->
              <a class="dropdown-item" href="javascript:void(0)" data-name='gov_rdo'><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.gov_rdo%></a>
              <a class="dropdown-item" href="javascript:void(0)" data-name='gov_pesel'><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.gov_pesel%></a>
              <a class="dropdown-item" href="javascript:void(0)" data-name='gov_nl'><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.gov_nl%></a>
              <a class="dropdown-item" href="javascript:void(0)" data-name='krs'><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.krs%></a>
              <a class="dropdown-item" href="javascript:void(0)" data-name='ceidg'><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.ceidg%></a>
              <!-- <div class="collapse item_collapse" id="krsCollapse">
                <div class="card card-body">
                  some text
                </div>
              </div> -->
              <!-- <a class="dropdown-item item_collapse" href="javascript:void(0)" data-name='vat'><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.vat%></a> -->
              <!-- <div class="collapse item_collapse" id="vatCollapse">
                <div class="card card-body">
                  some text
                </div>
              </div> -->
              <!-- <a class="dropdown-item" href="javascript:void(0)" data-name='gov_pesel' ><span class="dropdown-icon material-icons-outlined">language</span><%=dictionary.clipboard_manage.gov_pesel%></a> -->
              <!-- onclick="showCustomModal('upload')" -->
              <a class="dropdown-item modal-item" href="javascript:void(0)" data-name='upload'><span class="dropdown-icon material-icons-outlined">document_scanner</span><%=dictionary.clipboard_manage.scan%></a>
              <!-- <a class="dropdown-item" href="javascript:void(0)" data-name='more'><span class="dropdown-icon material-icons-outlined">more_horiz</span><%=dictionary.clipboard_manage.more%></a> -->
            </div>
          </div>
        </div>
        <!-- onclick="deleteAllFromClipboard()"  data-bs-toggle="tooltip" data-bs-placement="top" title='<%=dictionary.tooltips.clear%>' -->
        <span class="clipboard__manager-button" onclick="deleteAllFromClipboard()"><%=dictionary.clear%></span>
        <span class="clipboard__manager-button clipboard__manager-delete"><%=dictionary.delete%></span>
        <span class="clipboard__manager-button clipboard__manager-forward" data-bs-toggle="modal" data-bs-target="#forwardDataModal"><%=dictionary.send%></span>
      </div>

      <div class="modal fade" id="forwardDataModal" tabindex="-1" aria-labelledby="forwardDataModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="forwardDataModalLabel">przekazywanie danych</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <form class="forward__data-form needs-validation" novalidate>
                <div class="mb-3">
                  <label for="sender__email" class="col-form-label">Twój adres email:</label>
                  <input type="email" placeholder="name@example.com" class="form-control" id="sender__email" required>
                  <div class="invalid-feedback">
                    wprowadź poprawny adres e-mail!
                  </div>
                  <div class="valid-feedback">
                  </div>
                </div>
                <div class="mb-3">
                  <label for="recipient__email" class="col-form-label">adres email odbiorcy:</label>
                  <input type="email" placeholder="name@example.com" class="form-control" id="recipient__email" required>
                  <div class="invalid-feedback">
                    wprowadź poprawny adres e-mail!
                  </div>
                  <div class="valid-feedback">
                  </div>
                </div>
                <div class="mb-3">
                  <label for="file__password">hasło do pliku</label>
                  <input type="password" class="form-control" id="file__password" placeholder="hasło do pliku" required>
                  <div class="invalid-feedback">
                    wymagane hasło do pliku!
                  </div>
                  <div class="valid-feedback">
                  </div>
                </div>
                <p>Twoje dane zostaną wysłane na podany powyżej adres mailowy odbiorcy w postaci pliku .csv zaszyfrowanego hasłem</p>
                <button type="submit" class="btn btn-primary">przekaż dane</button>
              </form>
            </div>
          </div>
        </div>
      </div>

      <div class="clipboard__manager-content-alternative">
        <!-- data-bs-toggle="tooltip" data-bs-placement="top" title='<%=dictionary.tooltips.manual_reject%>' -->
        <span onclick="manualModReject()" class="clipboard__manager-button clipboard__manager-manual-reject"><%=dictionary.manual_reject%></span>
        <!-- data-bs-toggle="tooltip" data-bs-placement="top" title='<%=dictionary.tooltips.manual_save%>' -->
        <span onclick="manualModSave(this)" class="clipboard__manager-button clipboard__manager-manual-save"><%=dictionary.manual_save%></span>
      </div>
    </div>
  </div>
  <nav aria-label="breadcrumb" class="clipboard__manage-breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item active" aria-current="page"><%=dictionary.clipboard_manage.header%></li>
    </ol>
  </nav>
  <label class="select__all"><input class="select__all-checkbox form-check-input" type="checkbox" id="checkboxNoLabel" value="" aria-label="clipboard__manage-checkbox"><%=dictionary.clipboard_manage.select_all%></label>
  <!-- <a href="/download/Dysk Sieciowy PW Setup 1.0.0.exe" download>Download</a> -->
  <% if(data != 'undefined') {%>
  <% for (const [key, value] of Object.entries(data)) { %>
  <%   const pages = key.split(' / '); %>
  <%   let nextPage = dictionary; %>
  <%   let page; %>
  <%   let breadcrumbTranslated = ''; %>
  <%   for(let i = 0; i < pages.length; i++) { %>
  <%     page = nextPage.page[pages[i]]; %>
  <%     i === pages.length - 1 ? (breadcrumbTranslated += page.name) : (breadcrumbTranslated += page.name + ' / '); %>
  <%     nextPage = page; %>
  <%  } %>
  <% let loa; %>
  <% for(const obj of value) { %>
  <% (obj.loa === 'high' && loa != 'medium' && loa != 'low') && (loa = obj.loa) %>
  <% (obj.loa === 'medium' && loa != 'low') && (loa = obj.loa) %>
  <% obj.loa === 'low' && (loa = obj.loa) %>
  <% }%>
  <div class="clipboard__item-container">
    <span class="clipboard__manage-category" data-label="<%=key%>"><%=breadcrumbTranslated%></span>
    <span class="clipboard__manage-loa" style=<% if(loa === 'high') {%><%='color:var(--bs-green)'%><%} else if(loa === 'medium') {%>
      <%='color:var(--bs-orange)'%><%} else if(loa === 'low') {%><%='color:var(--bs-red)'%><%} else {%><%='color:black'%><%}%>><%=dictionary.loa.name%> <%=dictionary.loa[loa]%></span>
      <div class="clipboard__manage-section row">
        <div class="col col-12">
          <div class="clipboard__card">
            <ul class="clipboard__card-list">
              <% i = 0; %>
              <% for(clipboardItem of value) { i++ %>
              <li class="clipboard__list-item">
                <div class="clipboard__checkbox-group">
                  <input class="form-check-input" type="checkbox" id="checkboxNoLabel" value="" aria-label="clipboard__manage-checkbox">
                  <span class="clipboard__list-item__text">
                    <% if(clipboardItem.dataLabel != 'picture') { %>
                    <span class="clipboard__list-item__primary-text"><%= clipboardItem.dataValue %></span>
                    <span class="clipboard__list-item__secondary-text" data-label="<%=clipboardItem.dataLabel%>"><%= dictionary.all[clipboardItem.dataLabel] %></span>
                    <% } else { %>
                    <span class="clipboard__list-item__primary-text">
                      <img src='<%=clipboardItem.dataValue%>' alt="" style="display:inline-block; width:72px; height:90px;">
                    </span>
                    <span class="clipboard__list-item__secondary-text" data-label="<%=clipboardItem.dataLabel%>"><%= dictionary.all[clipboardItem.dataLabel] %></span>
                    <% } %>
                  </span>
                </div>
                <!-- <span class="clipboard__list-item__meta"><% if(clipboardItem.scope.split('/')) {%><%= clipboardItem.scope.split('/')[1]%><%} else {%> <%= clipboardItem.scope%> <%}%></span> -->
              </li>
              <% if(value.length === i) break %>
              <li role="separator" class="mdc-list-divider"></li>
              <% } %>
            </ul>
          </div>
        </div>
      </div>
  </div>
  <% } %>
  <% } %>

  <script src="/js/clipboard/ocr_config.js" charset="utf-8"></script>
  <script src="/js/clipboard/main.js" charset="utf-8"></script>
  <script src="/js/clipboard/forward_data.js" charset="utf-8"></script>
  <script src="/js/clipboard/ocr.js" charset="utf-8"></script>
  <!-- facebook -->
  <script type="text/javascript">
    window.fbAsyncInit = () => {
      FB.init({
        appId: "876070029684187",
        autoLogAppEvents: true,
        xfbml: true,
        version: "v11.0",
      });
    };
  </script>
  <script async defer crossorigin="anonymous" src="https://connect.facebook.net/pl_PL/sdk.js#xfbml=1&version=v12.0&appId=876070029684187&autoLogAppEvents=1" nonce="le2Rq7GZ"></script>
  <script src="/js/clipboard/social_media.js" charset="utf-8"></script>
  <script src="/js/clipboard/gov.js" charset="utf-8"></script>
  <script src="/js/clipboard/krs.js" charset="utf-8"></script>
  <!-- <script src="/js/clipboard/vat.js" charset="utf-8"></script> -->
  <script src="/js/clipboard/ceidg.js" charset="utf-8"></script>
  <script src="/js/clipboard/manual.js" charset="utf-8"></script>
